using FastEndpoints;
using FluentValidation;
using Knots.DTO.Key;

namespace Knots.Validators.Key;

public class DeleteKeyDtoValidator : Validator<DeleteKeyDto>
{
    public DeleteKeyDtoValidator()
    {
        RuleFor(x => x.Id)
            .NotEmpty()
            .WithMessage("L'id doit être renseigné")
            .GreaterThan(0)
            .WithMessage("L'id renseigné doit être supérieur à 0");
    }
}